function pol_mgen = polariserIndex( m )
    setGlobals();
    global gOLD_K_POL
    global gNEW_POLARISER
    if m.versioninfo.mgenversion==0
        pol_mgen = gOLD_K_POL;
    else
        pol_mgen = gNEW_POLARISER;
    end
end
